import { AxiosResponse, AxiosError, AxiosInstance } from 'axios';
export declare function watchAndWaitForUploadAndScanComplete(apiClient: AxiosInstance, endpoint: string, id: string, managementURL?: string): Promise<void>;
export declare function checkIfVersionExists(apiClient: AxiosInstance, endpoint: string, managementURL?: string): Promise<boolean>;
export declare function handleResponse<T>(axiosInstance: Promise<AxiosResponse<T>>): Promise<T>;
export declare function handleError(error: any): Error;
export declare function isAxiosError(error: any): error is AxiosError;
export declare function isAxiosResponse(response: unknown): response is AxiosResponse;
export declare function isUserInOrganization(organisationName?: string): boolean;
export declare function assertComponentTypeAllowed(componentType: unknown, apiClient: AxiosInstance, endpoint: string, managementURL: string): Promise<void>;
